## clonezilla 5.5.12

=== debian/changelog ===
clonezilla (5.5.12-1) unstable; urgency=medium

  * New upstream version 5.5.12

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 15 Oct 2023 19:28:31 +0200

clonezilla (5.5.11-1) unstable; urgency=medium

  * New upstream version 5.5.11

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 30 Sep 2023 14:02:15 +0200

clonezilla (5.5.9-1) unstable; urgency=medium

  * New upstream version 5.5.9

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 24 Aug 2023 10:55:29 +0200

=== debian/control ===
Source: clonezilla
Section: admin
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://clonezilla.org
Vcs-Git: https://salsa.debian.org/georgesk/clonezilla.git
Vcs-Browser: https://salsa.debian.org/georgesk/clonezilla

Package: clonezilla
Architecture: all
Depends: ${misc:Depends},
 drbl,
 file,
 pigz,
 pixz,
 gdisk,
 bc,
 dialog,
 fdisk | util-linux,
 e2fsprogs
Recommends: partclone,
 partimage
Suggests: openssh-client, cifs-utils, udpcast, sshfs
Description: bare metal backup and recovery of disk drives
 Clonezilla is an OpenSource clone system (OCS) solution with
 unicasting and multicasting.
 .
 Clonezilla, based on drbl, partclone and udpcast, allows you to do
 bare metal backup and recovery. This package provides Clonezilla SE
 (server edition) which is for massive deployment: it can clone many
 (40 plus!) computers simultaneously.
 .
 Clonezilla saves and restores only used blocks in the harddisk. This
 increases the clone efficiency. At the NCHC's Classroom C, Clonezilla
 SE was used to clone 41 computers simultaneously. It took only about
 10 minutes to clone a 5.6 GBytes system image to all 41 computers via
 multicasting.

## clonezilla 5.5.15

=== debian/changelog ===
clonezilla (5.5.15-1) unstable; urgency=medium

  * New upstream version 5.5.15

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 02 Nov 2023 12:24:32 +0100

## clonezilla 5.5.16

=== debian/changelog ===
clonezilla (5.5.16-1) unstable; urgency=medium

  * New upstream version 5.5.16

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 12 Nov 2023 20:45:07 +0100

## clonezilla 5.5.18

=== debian/changelog ===
clonezilla (5.5.18-1) unstable; urgency=medium

  * New upstream version 5.5.18

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 11 Dec 2023 15:04:16 +0100

## clonezilla 5.5.19

=== debian/changelog ===
clonezilla (5.5.19-1) unstable; urgency=medium

  * New upstream version 5.5.19

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 17 Dec 2023 16:53:36 +0100

## clonezilla 5.5.20

=== debian/changelog ===
clonezilla (5.5.20-1) unstable; urgency=medium

  * New upstream version 5.5.20

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 25 Dec 2023 19:30:47 +0100

## clonezilla 5.5.23

=== debian/changelog ===
clonezilla (5.5.23-1) unstable; urgency=medium

  * New upstream version 5.5.23

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 05 Jan 2024 17:50:44 +0100

## clonezilla 5.5.25

=== debian/changelog ===
clonezilla (5.5.25-1) unstable; urgency=medium

  * New upstream version 5.5.25
  * Updated debian/patches/fix_usr_merge.patch

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 03 Mar 2024 20:15:31 +0100

clonezilla (5.5.23-3) unstable; urgency=medium

  * applied Helmut Grohne's patch, thanks! Closes: #1064450

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Feb 2024 14:06:07 +0100

clonezilla (5.5.23-2) unstable; urgency=medium

  * added a dependency on parted. Closes: #1054474
  * improved the clean target in d/rules. Closes: #1043998

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 18 Jan 2024 14:14:33 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,8 @@
  bc,
  dialog,
  fdisk | util-linux,
- e2fsprogs
+ e2fsprogs,
+ parted,
 Recommends: partclone,
  partimage
 Suggests: openssh-client, cifs-utils, udpcast, sshfs

## clonezilla 5.6.2

=== debian/changelog ===
clonezilla (5.6.2-1) unstable; urgency=medium

  * New upstream version 5.6.2

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 21 Apr 2024 16:23:05 +0200

clonezilla (5.6.1-1) unstable; urgency=medium

  * New upstream version 5.6.1
  * bumped Standards-Version: 4.7.0

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 12 Apr 2024 13:33:41 +0200

clonezilla (5.5.31-1) unstable; urgency=medium

  * New upstream version 5.5.31

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 19 Mar 2024 14:59:08 +0100

## clonezilla 5.6.4

=== debian/changelog ===
clonezilla (5.6.4-1) unstable; urgency=medium

  * New upstream version 5.6.4

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 18 May 2024 09:09:07 +0200

## clonezilla 5.6.6

=== debian/changelog ===
clonezilla (5.6.6-1) unstable; urgency=medium

  * New upstream version 5.6.6

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 04 Jun 2024 15:36:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://clonezilla.org
 Vcs-Git: https://salsa.debian.org/georgesk/clonezilla.git
 Vcs-Browser: https://salsa.debian.org/georgesk/clonezilla

## clonezilla 5.6.8

=== debian/changelog ===
clonezilla (5.6.8-1) unstable; urgency=medium

  * New upstream version 5.6.8

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 08 Jun 2024 17:54:48 +0200

## clonezilla 5.6.10

=== debian/changelog ===
clonezilla (5.6.10-1) unstable; urgency=medium

  * New upstream version 5.6.10
  * Mentioned a version number for the dependency on util-linux
  * Added a dependency on python3

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 06 Jul 2024 18:22:17 +0200

clonezilla (5.6.9-1) unstable; urgency=medium

  * New upstream version 5.6.9

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 17 Jun 2024 17:01:23 +0200

## clonezilla 5.6.13

=== debian/changelog ===
clonezilla (5.6.13-1) unstable; urgency=medium

  * New upstream version 5.6.13

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 25 Jul 2024 16:58:38 +0200

## clonezilla 5.6.16

=== debian/changelog ===
clonezilla (5.6.16-1) unstable; urgency=medium

  * New upstream version 5.6.16

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 31 Aug 2024 10:10:50 +0200

clonezilla (5.6.15-1) unstable; urgency=medium

  * New upstream version 5.6.15

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 23 Aug 2024 10:07:01 +0200

## clonezilla 5.6.18

=== debian/changelog ===
clonezilla (5.6.18-1) unstable; urgency=medium

  * New upstream version 5.6.18

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 08 Sep 2024 16:48:02 +0200

## clonezilla 5.6.21

=== debian/changelog ===
clonezilla (5.6.21-1) unstable; urgency=medium

  * New upstream version 5.6.21

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 02 Oct 2024 12:59:29 +0200

clonezilla (5.6.19-1) unstable; urgency=medium

  * New upstream version 5.6.19

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 20 Sep 2024 14:19:21 +0200

## clonezilla 5.6.23

=== debian/changelog ===
clonezilla (5.6.23-1) unstable; urgency=medium

  * New upstream version 5.6.23

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 11 Oct 2024 10:09:33 +0200

## clonezilla 5.7.8

=== debian/changelog ===
clonezilla (5.7.8-1) unstable; urgency=medium

  * New upstream version 5.7.8

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 04 Dec 2024 14:52:18 +0100

clonezilla (5.7.7-1) unstable; urgency=medium

  * New upstream version 5.7.7

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 08 Nov 2024 15:43:21 +0100

## clonezilla 5.7.12

=== debian/changelog ===
clonezilla (5.7.12-1) unstable; urgency=medium

  * New upstream version 5.7.12

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 15 Dec 2024 19:03:35 +0100

## clonezilla 5.8.1

=== debian/changelog ===
clonezilla (5.8.1-1) unstable; urgency=medium

  * New upstream version 5.8.1

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 31 Dec 2024 14:02:48 +0100

## clonezilla 5.8.7

=== debian/changelog ===
clonezilla (5.8.7-2) unstable; urgency=medium

  * fixed debian/patches/fix_usr_merge.patch, thanks to Helmut Grohne
    Closes: #1093135

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 15 Jan 2025 15:01:45 +0100

clonezilla (5.8.7-1) unstable; urgency=medium

  * New upstream version 5.8.7

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 11 Jan 2025 22:26:56 +0100

## clonezilla 5.8.9

=== debian/changelog ===
clonezilla (5.8.9-1) unstable; urgency=medium

  * New upstream version 5.8.9

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 18 Jan 2025 11:44:39 +0100

## clonezilla 5.8.14

=== debian/changelog ===
clonezilla (5.8.14-1) unstable; urgency=medium

  * New upstream version 5.8.14

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 11 Feb 2025 08:54:21 +0100

## clonezilla 5.8.18

=== debian/changelog ===
clonezilla (5.8.18-1) unstable; urgency=medium

  * New upstream version 5.8.18

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 19 Feb 2025 18:57:33 +0100

## clonezilla 5.8.20

=== debian/changelog ===
clonezilla (5.8.20-1) unstable; urgency=medium

  * New upstream version 5.8.20

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 11 Mar 2025 20:04:59 +0100

=== debian/control ===
--- 
+++ 
@@ -18,9 +18,10 @@
  gdisk,
  bc,
  dialog,
- fdisk | util-linux,
+ fdisk | util-linux (>= 2.40),
  e2fsprogs,
  parted,
+ python3,
 Recommends: partclone,
  partimage
 Suggests: openssh-client, cifs-utils, udpcast, sshfs

## clonezilla 5.9.3

=== debian/changelog ===
clonezilla (5.9.3-1) unstable; urgency=medium

  * New upstream version 5.9.3

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 23 Mar 2025 11:34:24 +0100

## clonezilla 5.9.9

=== debian/changelog ===
clonezilla (5.9.9-1) unstable; urgency=medium

  * New upstream version 5.9.9

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Apr 2025 10:27:35 +0200

## clonezilla 5.11.10

=== debian/changelog ===
clonezilla (5.11.10-1) unstable; urgency=medium

  * New upstream version 5.11.10

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 12 Jul 2025 09:11:33 +0200

## clonezilla 5.11.12

=== debian/changelog ===
clonezilla (5.11.12-1) unstable; urgency=medium

  * New upstream version 5.11.12

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 18 Jul 2025 18:55:14 +0200

## clonezilla 5.12.3

=== Makefile ===
# Makefile
#
# License: GPL
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
#
SHELL := bash -e
DESTDIR =
SHAREDIR = /usr/share/drbl/

all:	ocs-sbin 
	@echo "No need to compile..."

ocs-sbin:
	(cd sbin; ln -fs ocs-prep-repo prep-ocsroot)
	(cd sbin; ln -fs ocs-cvt-dev cnvt-ocs-dev)

build:
	@echo "Nothing to build."

install:
	# install exec files
	install -d ${DESTDIR}/usr/
	cp -a sbin bin ${DESTDIR}/usr/

	# install setup dir
	install -d $(DESTDIR)/$(SHAREDIR)/
	cp -a setup $(DESTDIR)/$(SHAREDIR)/

	# install other shared files
	cp -a samples prerun postrun scripts/sbin $(DESTDIR)/$(SHAREDIR)/
	install -d $(DESTDIR)/usr/share/clonezilla/
	cp -a doc $(DESTDIR)/usr/share/clonezilla/
	# erase an extra COPYING
	rm -f $(DESTDIR)/usr/share/clonezilla/doc/COPYING

	# install config files
	install -d $(DESTDIR)/etc/drbl/
	cp -a conf/* $(DESTDIR)/etc/drbl/

=== debian/changelog ===
clonezilla (5.12.3-1) unstable; urgency=medium

  * New upstream version 5.12.3

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 14 Aug 2025 09:52:07 +0200

## clonezilla 5.12.10

=== debian/changelog ===
clonezilla (5.12.10-1) unstable; urgency=medium

  [ Thomas Tsai ]
  * New upstream version 5.12.10

 -- Thomas Tsai <tlinux.tsai@gmail.com>  Sat, 30 Aug 2025 12:27:52 +0800

## clonezilla 5.12.20

=== debian/changelog ===
clonezilla (5.12.20-drbl1) unstable; urgency=medium

  * ocs-blkdev-sorter: Skip generating the PV from LVM.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 12 Sep 2025 11:30:27 +0800

clonezilla (5.12.19-drbl1) unstable; urgency=medium

  * live-hook: use /usr/lib/ instead of /lib/, and remove unused codes,

 -- Steven Shiau <steven@clonezilla.org>  Sun, 07 Sep 2025 21:21:38 +0800

clonezilla (5.12.18-drbl1) unstable; urgency=medium

  * Updated code to work with efiboogmgr >= 18-4.
  * Make root's bash prompt use full hostname in live system.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 07 Sep 2025 16:51:25 +0800

clonezilla (5.12.17-drbl1) unstable; urgency=medium

  * Fix: wrong code for PS1 of autologin account.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 06 Sep 2025 12:49:36 +0800

clonezilla (5.12.16-drbl1) unstable; urgency=medium

  * create-ubuntu-live: removed linux-modules-extra for Questing release.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 06 Sep 2025 10:37:56 +0800

clonezilla (5.12.15-drbl1) unstable; urgency=medium

  * Use full hostname, not short one, for the bash prompt in live account.
  * create-ubuntu-live: do not assign hostname. Let ocs-iso/ocs-live-dev
    do that.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 05 Sep 2025 20:37:21 +0800

clonezilla (5.12.14-drbl1) unstable; urgency=medium

  * Added an option to use screen in the "run again" script.
    Thanks to lisz8 for sharing that.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 05 Sep 2025 15:38:23 +0800

clonezilla (5.12.13-drbl1) unstable; urgency=medium

  * Changed the ocs block device path to /dev/ocs-disks/, was in
    /dev/ocs_disks/.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 03 Sep 2025 13:44:02 +0800

clonezilla (5.12.12-drbl1) unstable; urgency=medium

  * 99-ocs-sorted-disks.rules: device changes should trigger the updates
    for ocs-?d*. 

 -- Steven Shiau <steven@clonezilla.org>  Wed, 03 Sep 2025 09:06:14 +0800

clonezilla (5.12.11-drbl1) unstable; urgency=medium

  * Fixed: --batch was not passed to function check_image_if_restorable of
    ocs-functions.
    Ref: https://github.com/stevenshiau/clonezilla/issues/154
  * ocs-scan-disk: Updated the comments and the output will be aligned.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 02 Sep 2025 20:25:56 +0800

clonezilla (5.12.10-drbl1) unstable; urgency=medium

  * ocs-blkdev-sorter: make it affect as a disk is removed.
  * 99-ocs-sorted-disks.rules: removed ENV{ID_FS_UUID_ENC}==""
    so that when USB disk is removed, RUN will be executed.
  * ocs-scan-disk: format the output so that it's easier to read.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 29 Aug 2025 20:59:41 +0800

clonezilla (5.12.9-drbl1) unstable; urgency=medium

  * Improved ocs-blkdev-sorter to make it run in udev:
    1. Add a lock to the script so there is only one instance running at the same time.
    2. Overwrite the log file instead of appending to it.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 28 Aug 2025 21:47:25 +0800

clonezilla (5.12.8-drbl1) unstable; urgency=medium

  * Added udev rule: 99-ocs-sorted-disks.rules to run ocs-blkdev-sorter.
  * drbl-ocs.conf: changed CD_FILE_LIMIT to 700.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 27 Aug 2025 20:40:15 +0800

clonezilla (5.12.7-drbl1) unstable; urgency=medium

  * A new program ocs-blkdev-sorter was added. It will be used in the future
    to have a abstract block device from Clonezilla.
  * The abstract block device name can be used in CML when running ocs-sr &
    ocs-onthefly.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 26 Aug 2025 21:25:04 +0800

clonezilla (5.12.6-drbl1) unstable; urgency=medium

  * drbl-ocs.conf: updated ocs_live_exclude_kernels to
    exclude "-16k" Linux kernel for ARM64 arch.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 21 Aug 2025 16:15:11 +0800

clonezilla (5.12.5-drbl1) unstable; urgency=medium

  * Disabled atd and cron services in live system by default.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 21 Aug 2025 10:16:45 +0800

clonezilla (5.12.4-drbl1) unstable; urgency=medium

  * Added ethdevice-link-timeout=7 in the live client.
    This assigns the ethernet device linking status timeout as 7 secs
    instead of the default 15 secs.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Open_discussion/thread/579168f80f/

 -- Steven Shiau <steven@clonezilla.org>  Wed, 20 Aug 2025 15:31:07 +0800

clonezilla (5.12.3-drbl1) unstable; urgency=medium

  * Made dialog menu of block devs list more efficient.
  * ocs-blk-dev-info: A new program to output block dev info in json format.
  * Output LVM and LUKS partition info in dev-fs.list
  * Bug fixed: Wrong device name due to lacking /dev/ 
    for check_if_containing_thin_lv.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 02 Aug 2025 11:08:02 +0800

clonezilla (5.12.2-drbl1) unstable; urgency=medium

  * ocs-lang-kbd-conf: added options "-f" and "-t". 

 -- Steven Shiau <steven@clonezilla.org>  Sun, 27 Jul 2025 20:09:23 +0800

clonezilla (5.12.1-drbl1) unstable; urgency=medium

  * Removed the duplicated part about ocs-lang-kbd-conf
    since it's run in ocs-live-run-menu.
  * A funtion to to disable stdin non-blocking mode was added in
    ocs-functions and used after fbterm is run in ocs-lang-kbd-conf
    and ocs-live-run-menu.
    This will avoid this issue when read command is used:
    "read: read error: 0: Resource temporarily unavailable"

 -- Steven Shiau <steven@clonezilla.org>  Sun, 27 Jul 2025 12:28:52 +0800

clonezilla (5.11.21-drbl1) unstable; urgency=medium

  * ocs-lang-kbd-conf should be run once inside ocs-live-run-menu.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 26 Jul 2025 20:09:29 +0800

clonezilla (5.11.20-drbl1) unstable; urgency=medium

  * Move language and keymap configurations to login shell. It was before
    /sbin/getty. This is due to fbterm needs interactive tty.
    Therefore /etc/ocs/ocs-live.d/S05-lang-kbd-conf was removed.


## clonezilla 5.12.21

=== debian/changelog ===
clonezilla (5.12.21-drbl1) unstable; urgency=medium

  [ Ceasar Sun ]
  * ocs-live-swap-kernel: patched to deal with modules.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 18 Sep 2025 18:39:26 +0800

## clonezilla 5.12.23

=== debian/changelog ===
clonezilla (5.12.23-drbl1) unstable; urgency=medium

  * ocs-blk-dev-info: improved to make jq work in some cases.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 20 Sep 2025 11:55:11 +0800

clonezilla (3.9.46-drbl1) unst

## clonezilla 5.12.24

=== debian/changelog ===
clonezilla (5.12.24-drbl1) unstable; urgency=medium

  * Source dev to multi-machines descriptions updated, i.e.,
    Updated the descriptions about "disk-2-mdisks" & "part-2-mparts".
    Updated the descriptions of the option "-cdt"

 -- Steven Shiau <steven@clonezilla.org>  Mon, 22 Sep 2025 21:07:49 +0800

## clonezilla 5.12.25

=== debian/changelog ===
clonezilla (5.12.25-drbl1) unstable; urgency=medium

  * Variable msg_next_choose_timezon -> msg_next_choose_timezone.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 24 Sep 2025 20:41:37 +0800

## clonezilla 5.12.26

=== debian/changelog ===
clonezilla (5.12.26-drbl1) unstable; urgency=medium

  [ Thomas Tsai ]
  * Added test scripts for debian/tests.

  [ Ceasar Sun ]
  * Improved support for riscv64 arch
  * DTB files collect from imported deb files
  * Save full repacke command( as info) into ./{live/}Clonezilla-Live-Version

 -- Steven Shiau <steven@clonezilla.org>  Thu, 25 Sep 2025 18:11:30 +0800

## clonezilla 5.12.27

=== debian/changelog ===
clonezilla (5.12.27-drbl1) unstable; urgency=medium

  * New sample program: ocs-cmd-screen-sample. It is used as the template
    program for the run-again script.
    Both screen and tmux option can be assigned by "-s" or "-t".
  * Function output_run_again_script in ocs-functions was updated with
    new sample script ocs-cmd-screen-sample.
  * S03prep-drbl-clonezilla: Source ~/.bash_profile from ~/.bashrc for root
    and user accounts so that non-login shell (screen/tmux...) has same PS1.
  * ocs-cvt-dev: only disk type is accepted.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 29 Sep 2025 10:32:08 +0800

clonezilla (3.10.3-drbl1) u

## clonezilla 5.12.28

=== debian/changelog ===
clonezilla (5.12.28-drbl1) unstable; urgency=medium

  * Add supported block MTD Block Device (/dev/mtdblockN), and treat it
    as a partition in function since it contains no any partitions.
  * Function gen_proc_partitions_map_file from ocs-functions:
    removed devfs part since devfs is no more from Linux kernel >= 2.6.18.
  * The functions is_partition, get_diskname and is_supported_dev from
    ocs-functions were rewritten, with the help of Google's Gemini.
    It should be more efficient and readable now.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 29 Sep 2025 20:51:37 +0800

## clonezilla 5.12.29

=== debian/changelog ===
clonezilla (5.12.29-drbl1) unstable; urgency=medium

  * get_part_number from ocs-functions: improved with new dev mtdblockN

 -- Steven Shiau <steven@clonezilla.org>  Tue, 30 Sep 2025 21:06:48 +0800

## clonezilla 5.12.30

=== debian/changelog ===
clonezilla (5.12.30-drbl1) unstable; urgency=medium

  * Removed the clonezilla dev cache mechanism since it's not mature.
    Functions check_if_use_disklist_cache & check_if_use_partlist_cache
    were removed.
    Parameter use_dev_list_cache is not honored anymore.
  * Improved functions so they are more efficient:
    check_if_input_device_exist, strip_leading_dev,
    format_dev_name_with_leading_dev,
    format_dev_name_without_leading_dev
  * Improved functions to deal with eMMC boot device: /dev/mmcblk*boot*,
    including is_supported_dev, is_partition, get_part_number
  * function get_diskname from ocs-functions: mtdblock*|mmcblk*boot* return ""
    since we treat it as a partition.

  
  [ Ceasar Sun ]

  * New program: ocs_live_u-bootable_rawdisk (PR #159) from Ceasar Sun.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 04 Oct 2025 12:19:47 +0800

## clonezilla 5.12.31

=== debian/changelog ===
clonezilla (5.12.31-drbl1) unstable; urgency=medium

  * Improved function get_not_busy_disks_or_parts. Make it more efficient.
    Functions conv_uuid_mount_to_tradpart & is_linux_raid_member were
    improved, too.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 04 Oct 2025 14:22:32 +0800

## clonezilla 5.12.32

=== debian/changelog ===
clonezilla (5.12.32-drbl1) unstable; urgency=medium

  * Support imaging MTD block & eMMC boot devices.
    By default these two types of device will be saved when they are found.
    When restoring, if -rmtd|--restore-mtdblock or -rmmcb|--restore-mmcblk
    is assigned, the saved image will be restored.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 05 Oct 2025 19:57:05 +0800

## clonezilla 5.12.33

=== debian/changelog ===
clonezilla (5.12.33-1) unstable; urgency=medium

  [ Thomas Tsai ]
  * Preliminary test script for autopkgtest in the salsa ci environment

  [ Georges Khaznadar ]
  * merged Thomas Tsai's work for autopktest, thanks!
  * New upstream version 5.12.33
  * bumped Standards-Version: 4.7.2

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 07 Oct 2025 18:56:42 +0200

## clonezilla 5.12.34

=== debian/changelog ===
clonezilla (5.12.34-drbl1) unstable; urgency=medium

  * ocs-get-dev-info: improved for better performance.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 09 Oct 2025 22:16:37 +0800

clonezilla (5.12.33-drbl1) unstable; urgency=medium

  * ocs-cmd-screen-sample: added option -v|--verbose. If used, "bash -x" will
    be used for the script.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 07 Oct 2025 08:39:08 +0800

## clonezilla 5.12.35

=== debian/changelog ===
clonezilla (5.12.35-drbl1) unstable; urgency=medium

  * Improved to make lite server support ocs-?d* (Clonezilla block device).

 -- Steven Shiau <steven@clonezilla.org>  Fri, 10 Oct 2025 19:46:18 +0800

## clonezilla 5.12.36

=== debian/changelog ===
clonezilla (5.12.36-1) unstable; urgency=medium

  * New upstream version 5.12.36
  * updated the debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 16 Oct 2025 09:27:34 +0200

## clonezilla 5.12.37

=== debian/changelog ===
clonezilla (5.12.37-drbl1) unstable; urgency=medium

  * Updated prompts: (1) Inputted device not found and 
    (2) Searching MTD block and eMMC boot devices

 -- Steven Shiau <steven@clonezilla.org>  Wed, 15 Oct 2025 07:50:25 +0800

clonezilla (5.12.36-drbl1) unstable; urgency=medium

  * Added option "-uoab" in ocs-sr & ocs-live-feed-img to
    support using Clonezilla alias block device name in the TUI.
  * get_mapped_kernel_blkname from ocs-functions was renmaed as
    get_mapped_kernel_or_ocs_blkname and now it can be used to
    map kernel device name or Clonezilla alias device name.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 12 Oct 2025 20:29:17 +0800

## clonezilla 5.12.38

=== debian/changelog ===
clonezilla (5.12.38-1) unstable; urgency=medium

  * New upstream version 5.12.38

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 22 Oct 2025 22:58:28 +0200

## clonezilla 5.13.1

=== debian/changelog ===
clonezilla (5.13.1-drbl1) unstable; urgency=medium

  * create-ubuntu-live: support resolute, drop plucky.
  * Replaced "--buffer_size" with shorter option "-z" in partclone commands.
  * Added -smtd & -smmcb in the USAGE of ocs-sr.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 28 Oct 2025 20:23:11 +0800

clonezilla (5.12.38-drbl1) unstable; urgency=medium

  * Added 2 options: -smtd & -smmcb for saving an image.
    This allows users to select. By default do not save the
    MTD block device and eMMC boot device.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 17 Oct 2025 16:11:49 +0800

## clonezilla 5.13.2

=== debian/changelog ===
clonezilla (5.13.2-drbl1) unstable; urgency=medium

  * Updated get_latest_kernel_ver_in_repository from ocs-functions
    to get the latest linux kernel version.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 28 Oct 2025 21:39:28 +0800

## clonezilla 5.13.3

=== debian/changelog ===
clonezilla (5.13.3-1) unstable; urgency=medium

  * New upstream version 5.13.3

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 01 Nov 2025 18:16:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://clonezilla.org
 Vcs-Git: https://salsa.debian.org/georgesk/clonezilla.git
 Vcs-Browser: https://salsa.debian.org/georgesk/clonezilla

=== debian/tests/control ===
Tests: run-smoke-check
Depends: @, shunit2, coreutils, locales, jq, html2text, console-setup, udev
Restrictions: allow-stderr, superficial, needs-root

## clonezilla 5.13.4

=== debian/changelog ===
clonezilla (5.13.4-drbl1) unstable; urgency=medium

  [ Marcos Diez ]

  * New feature: Bitlocker partitions can be decrypted before backups.
    Ref: https://github.com/stevenshiau/clonezilla/pull/163

 -- Steven Shiau <steven@clonezilla.org>  Sat, 08 Nov 2025 16:39:24 +0800

clonezilla (5.13.3-drbl1) unstable; urgency=medium

  * ocs-live-run-menu: Set TERM as fbterm when running
    program in fbterm so that the box-drawing characters
    can be displayed correctly.
  * Unmount sys/firmware/efi/efivars before unmounting sys/ updating grub or
    initrd in the restored OS.
  * ocs-reset-kbd-lang: the program to reset the keymap and
    locales in Clonezilla live environment was added.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 01 Nov 2025 11:15:37 +0800

## clonezilla 5.13.5

=== debian/changelog ===
clonezilla (5.13.5-drbl1) unstable; urgency=medium

  * Added option -dblk|--decrypt-bitlocker in ocs-sr.
  * Moved deal_with_bitlocker_partitions to task_saveparts from
    check_if_input_device_exist. This makes BitLocker-related codes are the
    same way as LUKS-related codes.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 10 Nov 2025 19:58:38 +0800

## clonezilla 5.13.6

=== debian/changelog ===
clonezilla (5.13.6-drbl1) unstable; urgency=medium

  * Bug fixed: ocs-sr can't find devices with PTUUID
    Ref: https://github.com/stevenshiau/clonezilla/issues/168
  * Model and serial from disk or partition might contain
    doulbe quotation mark ("), which breaks dialog menu in Clonezilla.
    The output from ocs-blk-dev-info should remove doulbe quotation mark
    from model and serial.
    https://sourceforge.net/p/clonezilla/bugs/436/

 -- Steven Shiau <steven@clonezilla.org>  Sun, 23 Nov 2025 17:18:33 +0800

## clonezilla 5.13.7

=== debian/changelog ===
clonezilla (5.13.7-drbl2) unstable; urgency=medium

  [ Marcos Diez ]

  * BitLocker asks the password again if it is wrong.
  * Improved BitLocker mechanism about echoing passphrase/keys or not.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 25 Nov 2025 07:15:24 +0800

clonezilla (5.13.7-drbl1) unstable; urgency=medium

  * ocs-resize-part: removed useless variables and
    improved for safety and reliability.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 24 Nov 2025 08:08:26 +0800

## clonezilla 5.13.8

=== debian/changelog ===
clonezilla (5.13.8-drbl1) unstable; urgency=medium

  * Don't unmount $ocsroot $pre_ocsroot_path by default.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 29 Nov 2025 13:37:07 +0800

## clonezilla 5.13.9

=== debian/changelog ===
clonezilla (5.13.9-1) unstable; urgency=medium

  * New upstream version 5.13.9

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 01 Dec 2025 10:12:41 +0100

clonezilla (5.13.7-1) unstable; urgency=medium

  * New upstream version 5.13.7

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 24 Nov 2025 09:38:10 +0100

## clonezilla 5.13.10

=== debian/changelog ===
clonezilla (5.13.10-1) unstable; urgency=medium

  * New upstream version 5.13.10

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 06 Dec 2025 17:17:05 +0100

## clonezilla 5.13.11

=== debian/changelog ===
clonezilla (5.13.11-drbl1) unstable; urgency=medium

  * ocs-live-feed-img: added missing options, including -smtd, -smmcb,
    -rmtd, -rmmcb, -dblk

 -- Steven Shiau <steven@clonezilla.org>  Thu, 11 Dec 2025 16:17:21 +0800

clonezilla (5.13.10-drbl1) unstable; urgency=medium

  * ocs-live-boot-menu: support memtest86+ >=8.0 new file format.
    It has no longer separate .bin (Legacy) and .efi (UEFI) files,
    i.e., a single binary for both UEFI and legacy boot.
  * -

 -- Steven Shiau <steven@clonezilla.org>  Thu, 11 Dec 2025 16:17:19 +0800

clonezilla (5.13.9-drbl1) unstable; urgency=medium

  [ Marcos Diez ]

  * BitLocker partitions now work on the clone_server (ocs-onthefly)

 -- Steven Shiau <steven@clonezilla.org>  Mon, 01 Dec 2025 07:30:00 +0800

## clonezilla 5.13.12

=== debian/changelog ===
clonezilla (5.13.12-1) unstable; urgency=medium

  * New upstream version 5.13.12

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 15 Dec 2025 11:29:04 +0100

## clonezilla 5.13.13

=== debian/changelog ===
clonezilla (5.13.13-drbl1) unstable; urgency=medium

  * ocs-live-feed-img: add detection for MTD/EMMC devices.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 18 Dec 2025 10:01:30 +0800

clonezilla (5.13.12-drbl1) unstable; urgency=medium

  * ocs-live-feed-img: added -smtd & -smmcb in BT from raw device pseudo_img_cmd.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 14 Dec 2025 20:37:36 +0800

## clonezilla 5.13.14

=== debian/changelog ===
clonezilla (5.13.14-drbl1) unstable; urgency=medium

  * Suppressed useless grep error messages.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 18 Dec 2025 10:24:22 +0800

## clonezilla 5.13.15

=== debian/changelog ===
clonezilla (5.13.15-drbl1) unstable; urgency=medium

  * Added |mtdblock|mmcblk.*boot to allow special devs.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 18 Dec 2025 15:37:00 +0800

## clonezilla 5.13.16

=== debian/changelog ===
clonezilla (5.13.16-drbl1) unstable; urgency=medium

  * ocs-functions: check_mtd_emmcboot_dev improved for saving/restoring
    cases.  Otherwise it only works for saving mode.
  * ocs-functions: improved converting tmp image for different
    source/destination devices, i.e., >=2 devices won't go. Otherwise it
    will fail.
  * ocs-iso-2-onie: use "zstd -T0", not "zstdmt" to avoid confusion.
  * ocs-cvtimg-comp: removed zstdmt to avoid confusion.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 25 Dec 2025 22:31:42 +0800

## clonezilla 5.13.17

=== debian/changelog ===
clonezilla (5.13.17-1) unstable; urgency=medium

  * New upstream version 5.13.17

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 29 Dec 2025 19:55:31 +0100

## clonezilla 5.13.18

=== debian/changelog ===
clonezilla (5.13.18-drbl1) unstable; urgency=medium

  * Bug fixed: removed extra LVM and LUKS info in dev-fs.list.
    The issue was introduced on 2024/Aug/1. They should
    not be added otherwise it will make clone-over-net of ocs-onthefly
    fail because the partition order is messed up. Thanks to kokutou
    kiritsugu for reporting this issue and providing an image for testing.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/2f352495cb/

 -- Steven Shiau <steven@clonezilla.org>  Thu, 01 Jan 2026 13:38:13 +0800

clonezilla (5.13.17-drbl1) unstable; urgency=medium

  * Time sync mechanism will be disabled if ocs_time_sync="no" is assigned
    in the boot parameters.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/9b6c1d0151/

 -- Steven Shiau <steven@clonezilla.org>  Sat, 27 Dec 2025 14:22:44 +0800

## clonezilla 5.13.19

=== debian/changelog ===
clonezilla (5.13.19-drbl1) unstable; urgency=medium

  * Bug fixed: multicast mode from the raw device failed to work for unknown
    file system. Now partclone.dd will be used.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 03 Jan 2026 21:57:13 +0800

## clonezilla 5.13.20

=== debian/changelog ===
clonezilla (5.13.20-drbl1) unstable; urgency=medium

  * Use new mechanism to get NIC firmware list in live-hook when creating
    Ubuntu-based Clonezilla live.
  * ocs-get-nic-fw-lst: rewrite to get firmware list from Linux kernel
    moduels.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 08 Jan 2026 18:22:29 +0800

## clonezilla 5.13.22

=== debian/changelog ===
clonezilla (5.13.22-drbl1) unstable; urgency=medium

  * Added a mechanism to change the master key from LUKS header.
    Thanks to nbergont.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/ccf83c0592/
  * ocs-cvt-dev: avoid name collision as converting.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 12 Jan 2026 21:18:36 +0800

clonezilla (5.13.21-drbl1) unstable; urgency=medium

  * Bug fixed: wrong path for firmware in
    get_non_free_net_firmware_for_ubuntu of ocs-functions.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 08 Jan 2026 19:59:01 +0800

clonezilla (3.11.6-drbl1) unstabl

## clonezilla 5.13.23

=== debian/changelog ===
clonezilla (5.13.23-1) unstable; urgency=medium

  * New upstream version 5.13.23

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 15 Jan 2026 18:17:27 +0100

clonezilla (5.13.18-1) unstable; urgency=medium

  * New upstream version 5.13.18

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 02 Jan 2026 18:27:34 +0100

## clonezilla 5.13.24

=== debian/changelog ===
clonezilla (5.13.24-drbl1) unstable; urgency=medium

  * S03prep-gparted-live: added a mechanism to avoid blank screen for GParted
    live.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 27 Jan 2026 15:52:40 +0800

clonezilla (5.13.23-drbl1) unstable; urgency=medium

  * Added parttype for lsblk so that extended part can be shown.
    Otherwise using type will only show "part" for extended partition in
    an MBR disk.
  * Bug: ocs-get-dev-info failed to identify extended partition.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 15 Jan 2026 21:14:38 +0800

## clonezilla 5.13.25

=== debian/changelog ===
clonezilla (5.13.25-drbl1) unstable; urgency=medium

  * Added a mechanism to do ESP cloning and NTFS fix for 512B disk to 4kn
    one.
  * ocs-pt-512-4k-convert: a program to convert 512B to 4kn partition table
    was added.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 28 Jan 2026 13:17:50 +0800

## clonezilla 5.14.1

=== debian/changelog ===
clonezilla (5.14.1-drbl1) unstable; urgency=medium

  * ocs-expand-gpt-pt: rewrote (more robust) and improved,
    including do 512B to 4kn conversion if mismatched sector found.
  * Detect sector size in create_gpt_partition_table of ocs-functions:
    priority: logical_block_size (Standard/Modern) -> hw_sector_size (Legacy)

 -- Steven Shiau <steven@clonezilla.org>  Thu, 29 Jan 2026 21:13:59 +0800

## clonezilla 5.14.2

=== debian/changelog ===
clonezilla (5.14.2-drbl1) unstable; urgency=medium

  * ocs-expand-gpt-pt: bug fixed so that it exits with correct return code.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 29 Jan 2026 21:28:25 +0800

## clonezilla 5.14.3

=== debian/changelog ===
clonezilla (5.14.3-drbl1) unstable; urgency=medium

  * The local partition to partiton_clone from ocs-functions
    for ESP use copy mechanism, not partclone cloning in 512B to 4kn case.
  * ocs-expand-gpt-pt: allow 34 sectors for GPT Backup Header so we don't
    truncate the last partition.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 30 Jan 2026 16:02:51 +0800

## clonezilla 5.14.4

=== debian/changelog ===
clonezilla (5.14.4-drbl1) unstable; urgency=medium

  * Do 512B to 4kn fix for NTFS. This should be after NTFS file system is resized.
    Otherwise we have to enter MS Windows rescue mode, in the command prompt run:
    chkdsk c: /f

 -- Steven Shiau <steven@clonezilla.org>  Sat, 31 Jan 2026 09:58:56 +0800

## clonezilla 5.14.5

=== debian/changelog ===
clonezilla (5.14.5-1) unstable; urgency=medium

  * New upstream version 5.14.5

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 04 Feb 2026 19:16:58 +0100

## clonezilla 5.15.4

=== debian/changelog ===
clonezilla (5.15.4-1) unstable; urgency=medium

  * New upstream version 5.15.4

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 22 Feb 2026 20:06:01 +0100
